Bug 71641 - Xft does not honor gzipped fonts in ~/.fonts/
Xft does not honor gzipped fonts in ~/.fonts/
Product: Red Hat Public Beta
Classification: Retired
Component: freetype (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
Depends On:
  Show dependency treegraph
Reported: 2002-08-15 21:57 EDT by Michael K. Johnson
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-15 22:28:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael K. Johnson 2002-08-15 21:57:02 EDT
Description of Problem:

When I put gzipped pcf fonts into my ~/.fonts directory, they are not
found.  If I simply gunzip them, then they are found.  For example, I
want to use the old-style "fixed" family of fonts for my terminal
windows; specifically, the "10x20" font.  I copied
/usr/X11R6/lib/X11/fonts/misc/* into ~/.fonts and restarted X (to make
sure all applications really restarted) and no new fonts were available;
in particular, the "Fixed" family didn't show up in the font selector
for gnome-terminal.  When I ungzipped them, then the "Fixed" family
showed up in the font selector and I was able to use the fonts.

Version-Release number of selected component (if applicable):

How Reproducible:
Comment 1 Michael K. Johnson 2002-08-15 22:28:24 EDT
Oops, that should have read:
"...I copied
/usr/X11R6/lib/X11/fonts/misc/10x20* into ~/.fonts..."

I didn't copy in the whole directory, just the fonts I wanted.
Not that this is likely to make a difference...
Comment 2 Owen Taylor 2002-08-16 11:49:54 EDT
This is a known limitation of FreeType ... it wouldn't actually be
hard to add support for gzip'ed streams, but it isn't a good idea,
because seaking to find the glyphs you need is very inefficienct.

The long-term direction for bitmap fonts it to go to TrueType fonts
with only embedded bitmaps ... they are almost as compact as gzip'ed
PCF, more efficient, and a better/richer font format.

Note You need to log in before you can comment on or make changes to this bug.